solarOS Organization API

Organization API

List Service Appointment issues

List Service Appointment issues

/api/v1/service-appointments/{id}/issues

List Service Appointment issues

List Service Appointment issues. Use an organization API key with service_appointments:issues:read. Check the response envelope and meta.requestId before triggering dependent workflow steps.

Required scopes

service_appointments:issues:read

Parameters

NameInTypeDescription
idrequiredpathstringService Appointment identifier returned by the Organization API.

Request body

This endpoint does not accept a JSON request body.

Responses

200

Issue list envelope

#/components/schemas/OrgApiListEnvelope

401

Missing or invalid organization API key

#/components/schemas/OrgApiError

402

Organization billing access or an endpoint-specific business quota denied the request

#/components/schemas/OrgApiError

403

Missing required scope: service_appointments:issues:read

#/components/schemas/OrgApiError

429

Rate limit exceeded

#/components/schemas/OrgApiError

Errors

401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: service_appointments:issues:read429 Rate limit exceeded

Static examples

curl -X GET "$SOLAROS_BASE_URL/api/v1/service-appointments/$SOLAROS_SERVICE_APPOINTMENT/issues" \
  -H "Authorization: Bearer $SOLAROS_API_KEY"